exclude: ^backups/
repos:
  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.15.8
    hooks:
      - id: ruff
        args: [--fix]
      - id: ruff-format

  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v1.19.1
    hooks:
      - id: mypy
        files: ^src/(crypto|auth-proxy)/
        additional_dependencies: []

  - repo: https://github.com/koalaman/shellcheck-precommit
    rev: v0.10.0
    hooks:
      - id: shellcheck
        files: \.(sh|bash)$

  - repo: https://github.com/semgrep/semgrep
    rev: v1.155.0
    hooks:
      - id: semgrep
        args: ['--config', 'p/python', '--config', 'p/secrets', '--error']
